program banda;
const size=100;
const max=100;
type numar=array[1..1024] of byte;
var fi,fo:text;
    i,j,k,n,m:integer;
    f_i,f_iminus1,f_iminus2,g_i,g_iminus1,g_iminus2:numar;
    rez:numar;

procedure create(n:longint; var r:numar);
 var i:integer;
     num:integer;
begin
 num:=n;
 for i:=1 to 1024 do
 begin
  r[i]:=num mod 10;
  num:=num div 10;
 end;
end;

procedure add(n1:numar;n2:numar;var r:numar);
 var i:integer;
     carry:integer;
begin
 carry:=0;
 for i:=1 to 1024 do
 begin
  r[i]:=n1[i]+n2[i]+carry;
  carry:=r[i] div 10;
  r[i]:=r[i] mod 10;
 end;
end;

procedure f(f_iminus2,f_iminus1,g_iminus2,g_iminus1:numar; var f_i:numar);
 var t1,t2,t3,t4:numar;
begin
 add(f_iminus2,f_iminus2,t1);
 add(t1,f_iminus1,t2);
 add(g_iminus2,g_iminus1,t3);
 add(t2,t3,t4);
 add(t4,t4,f_i);
end;

procedure g(f_iminus1,g_iminus1:numar; var g_i:numar);
 var t1:numar;
begin
 add(f_iminus1,f_iminus1,t1);
 add(g_iminus1,t1,g_i);
end;

procedure writeln_numar(n:numar);
 var i,j:integer;
begin
 j:=0;
 for i:=1024 downto 1 do
  if (n[i]<>0) or (j=1) then
   begin
{    if j=0 then write('>',i,'< '); }
    j:=1;
    write(fo,n[i]);
   end;
 writeln(fo);
end;

begin
assign(fi,'BANDA.IN');
assign(fo,'BANDA.OUT');
reset(fi);
rewrite(fo);
readln(fi,n);
while n<>0 do
begin
 create(1,f_iminus2);
 create(2,f_iminus1);
 create(0,g_iminus2);
 create(2,g_iminus1);
 for i:=2 to n do
 begin
  f(f_iminus2,f_iminus1,g_iminus2,g_iminus1,f_i);
  g(f_iminus1,g_iminus1,g_i);
  f_iminus2:=f_iminus1;
  f_iminus1:=f_i;
  g_iminus2:=g_iminus1;
  g_iminus1:=g_i;
 end;
 if n=1 then writeln(fo,2) else writeln_numar(f_i);
 readln(fi,n);
end;
close(fi);
close(fo);
end.
