{$A+,B-,D-,E-,F-,G+,I-,L-,N-,O-,P-,Q-,R-,S-,T-,V+,X+}
{$M 65520,0,655360}
{ Problema 1 }
{ Badoiu Mihai --- Liceul de Informatica, Bucuresti }

type
  tip=array[0..1001] of word;
const
	max=102;
var
	n: integer;
  cost: integer;
  a: array[1..max] of byte;
  v: array[0..max] of record
    c: integer;
    d: integer;
  	end;
  t: array[0..max] of ^tip;
	g: array[0..max,0..max] of byte;
  sat: array[1..max] of record
    den: integer;
    cost: integer;
    dist: integer;
  	end;
	virf: integer;
  bb: boolean;

procedure load;
var
	f:text;
  i,j: integer;
  nume : string;
begin
	write('nume fisier = ');
  readln(nume);
	assign(f,nume);
  reset(f);
  readln(f,n);
  for i:=1 to n do
  begin
  	read(f,v[i].c,v[i].d);
    while not seekeoln(f) do
    begin
      read(f,j);
      g[i,j]:=1;
    	end;
    readln(f);
  	end;
	readln(f, cost);
  close(f);
end;

procedure init;
var
	i,j: integer;
begin
	for i:=0 to max do
		for j:=0 to max do
    	g[i,j]:=0;
	for i:=0 to max do
  begin
    v[i].c:=0;
    v[i].d:=0;
  	end;
	for i:=0 to max do
  begin
  	new(t[i]);
    for j:=0 to 1000 do
    	t[i]^[j]:=0;
    end;
end;

procedure init_calcul;
var
	i,j:integer;
begin
  for i:=1 to n do
  	g[0,i]:=1;
	for i:=1 to n do
  	for j:=1 to n do
    if g[i,j]=1 then
    begin
      g[0,j]:=0;
    	end;
end;

procedure det(k:integer);
var
	i,j1,j2:integer;
begin
  if t[k]^[v[k].c]<v[k].d then
  begin
  	t[k]^[v[k].c]:=v[k].d;
  	end;
	for i:=1 to n do
  if g[k,i]=1 then
  begin
    det(i);
    for j1:=cost downto 0 do
    if (t[k]^[j1]>0) or ((j1=0) and (k=0)) then
	    for j2:=cost-j1 downto 0 do
  	  if t[i]^[j2]>0 then
			begin
        if t[k]^[j1+j2]<t[k]^[j1]+t[i]^[j2] then
        	t[k]^[j1+j2]:=t[k]^[j1]+t[i]^[j2];
      	end;
  	end;
end;

procedure calcul;
var
	i:integer;
begin
  init_calcul;
  det(0);
end;

procedure sort;
var
	i,j:integer;
begin
	for i:=2 to virf do
  	for j:=i+1 to virf do
    if sat[i].den>sat[j].den then
    begin
      sat[1]:=sat[i];
      sat[i]:=sat[j];
      sat[j]:=sat[1];
    	end;
end;

procedure sol;
var
	i:integer;
begin
  sort;
	for i:=2 to virf do
  	write(sat[i].den,' ');
  writeln;
	halt;
end;

procedure back(i,k,cost,dist:integer);
var
	j:integer;
begin
  if (cost=0) and (dist=0) then
  begin
  	bb:=true;
    exit;
    end;
  for i:=i to n do
  if g[k,i]=1 then
	begin
    for j:=cost downto 1 do
    if (t[i]^[j]<=dist) then
    begin
      inc(virf);
		  sat[virf].den:=i;
		  sat[virf].cost:=j;
		  sat[virf].dist:=t[i]^[j];
      back(i+1,k,cost-j,dist-t[i]^[j]);
			if bb then
		  	exit;
      dec(virf);
    	end;
  	end;
end;

procedure drum;
var
	k,i:integer;
begin
	k:=1;
	while k<=virf do
  begin
	  bb:=false;
    i:=sat[k].den;
  	back(1,i,sat[k].cost-v[i].c,sat[k].dist-v[i].d);
    inc(k);
  	end;
 	sol;
end;

procedure scrie;
var
	i,j,m:integer;
begin
	m:=0;
  j:=maxint;
	for i:=0 to cost do
  if t[0]^[i]>m then
  begin
  	m:=t[0]^[i];
    j:=i;
  	end;
  if j<>maxint then
  begin
{	  writeln('dist=',m);
  	writeln('cost=',j);}
		virf:=1;
  	sat[1].den:=0;
	  sat[1].cost:=j;
  	sat[1].dist:=m;
		drum;
    end
  else
  begin
  	writeln;
  	end;
end;

begin
	init;
	load;
  calcul;
  scrie;
end.
