{$A+,B-,D+,E-,F+,G+,I-,L+,N+,O-,P-,Q-,R-,S-,T-,V+,X+}
{$M 65000,0,655360} {BATOG BOGDAN}
var
   fil                          :text;
   N,i,j,k,p,q,zero,nrl         :integer;
   X,Y,D,O                      :array[1..200] of longint;
   A                            :array[1..128,1..110] of integer;
   t1,t2,t3,t4                  :longint;
   a1,b1,a2,b2,c1,c2            :longint;

Function Min(m1,m2:longint):longint;
begin   if m1<m2 then Min:=m1 else Min:=m2  end;

Function Max(m1,m2:longint):longint;
begin   if m1>m2 then Max:=m1 else Max:=m2  end;

Function SGN(v:longint):longint;
begin
  if v=0 then SGN:=0 else if V<0 then SGN:=-1 else SGN:=1
end;

Function Intersect(i1,i2,j1,j2:integer):boolean;
begin
  if [i1,i2]=[j1,j2] then begin Intersect:=true; exit end;

  a1:=y[i2]-y[i1];  b1:=x[i1]-x[i2];  c1:=-x[i1]*y[i2]+x[i2]*y[i1];
  a2:=y[j2]-y[j1];  b2:=x[j1]-x[j2];  c2:=-x[j1]*y[j2]+x[j2]*y[j1];

  intersect:=false;
  zero:=0;
  t1:=a1*X[j1]+b1*Y[j1]+c1;   if t1=0 then inc(zero);
  t2:=a1*X[j2]+b1*Y[j2]+c1;   if t2=0 then inc(zero);
  t3:=a2*X[i1]+b2*Y[i1]+c2;   if t3=0 then inc(zero);
  t4:=a2*X[i2]+b2*Y[i2]+c2;   if t4=0 then inc(zero);
  if zero=2 then exit;
  if zero<>4 then Intersect:=((SGN(t1)*SGN(t2)<0) and (SGN(t3)*SGN(t4)<0))
  else
  begin
    if abs(x[i1]-x[i2])+abs(x[i1]-x[j1])+abs(x[i1]-x[j2])=0 then
     begin t1:=Min(y[i1],y[i2]); t2:=Max(y[i1],y[i2]);
           t3:=Min(y[j1],y[j2]); t4:=Max(y[j1],y[j2])  end else
     begin t1:=Min(x[i1],x[i2]); t2:=Max(x[i1],x[i2]);
           t3:=Min(x[j1],x[j2]); t4:=Max(x[j1],x[j2])  end;
     InterSect:=Max(t1,t3)<Min(t2,t4)
  end
end;

Function Check(x,y:integer):boolean;
var i,j:integer;
begin
  Check:=false;
  if x=y then exit;
  for i:=1 to D[x] do if A[x,i]=y then exit;
  for i:=1 to N do
   for j:=1 to D[i] do if A[i,j]>i then
    if Intersect(x,y,i,A[i,j]) then exit;
  Check:=true
end;

function ammicb(i,j:integer):boolean;
begin
  ammicb:=(x[i]<x[j]) or ((x[i]=x[j]) and (y[i]<=y[j]))
end;

Procedure Swap(i,j:integer);
var t:integer;
begin
  t:=o[i]; o[i]:=o[j]; o[j]:=t;
  t:=x[i]; x[i]:=x[j]; x[j]:=t;
  t:=y[i]; y[i]:=y[j]; y[j]:=t
end;

Procedure Add(i,j:integer);
begin
  inc(nrl);
  inc(D[i]);  A[i,d[i]]:=j;
  inc(D[j]);  A[j,d[j]]:=i
end;

begin
  nrl:=0;
  assign(fil,'DISNEY.IN'); reset(fil); readln(fil,N);
  for i:=1 to N do readln(fil,X[i],Y[i]);
  close(Fil);
  fillchar(D,sizeof(D),0);
  fillchar(A,sizeof(A),0);
  for i:=1 to N do O[i]:=i;
  for i:=1 to N-1 do
   for j:=i+1 to N do
    if ammicb(j,i) then swap(i,j);

  for i:=2 to N do
    if X[i]=X[i-1] then Add(i-1,i);

  k:=1;
  i:=1;   while X[i]=X[1] do inc(i);   dec(i);
  j:=i+1; while X[j]=X[i+1] do inc(j); dec(j);
  repeat
    for p:=i+1 to j do Add(i,p);
    for p:=k to i-1 do Add(i+1,p);
    k:=i+1;
    i:=j;
    inc(j);
    while (X[j]=X[i+1]) and (j<=n) do inc(j);
    dec(j)
  until i>=n;

  for i:=2 to N do
  begin
    p:=i;
    while (p>1) and (X[p]=X[i]) do dec(p);
    for j:=1 to p do
     if Check(i,j) then Add(i,j);
  end;

  assign(fil,'DISNEY.OUT');
  rewrite(fil);
  writeln(fil,nrl);
  for i:=1 to N do
   for j:=1 to D[i] do if A[i,j]>i then writeln(fil,o[i],' ',o[A[i,j]]);
  close(fil);
end.